> For the complete documentation index, see [llms.txt](https://docs.ratl.ai/guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ratl.ai/guide/public-apis/documentation.md).

# Original API Documentation

### Load Testing

#### Start Load Test

**Method**: POST\
**Endpoint**: `/api/v1/load/start`\
**Headers**:

* `api-key`: User API key for authorization.

**Request Body**:

```json
{
  "simulation_id": "6788e05ab077dd99972a1374",
  "workspace_id": "677e4b4c01ab7f61193b5c5a"
}
```

**Response**:

```json
{
  "message": "Load test started successfully"
}
```

***

#### Get Load Test Status

**Method**: GET\
**Endpoint**: `/api/v1/load/status`\
**Headers**:

* `api-key`: User API key for authorization.

**Query Parameters**:

* `simulation_id`: ID of the simulation.

**Response**:

```json
{
  "message": "ok",
  "status": "running"
}
```

***

#### Get Load Test Report

**Method**: GET\
**Endpoint**: `/api/v1/load/report`\
**Headers**:

* `api-key`: User API key for authorization.

**Query Parameters**:

* `simulation_id`: ID of the simulation.

**Response**:

```json
{
  "success": true,
  "reportLink": "https://storage.googleapis.com/rattle-prod-artifacts/report-1737030866726/index.html",
  "message": "Report Generated successfully"
}
```

***

### API Test Suite

#### Run API Suite Execution

**Method**: POST\
**Endpoint**: `/api/v1/api/start`\
**Headers**:

* `api-key`: User API key for authorization.

**Query Parameters**:

* `suite_id`: ID of the suite to execute.

**Response**:

```json
{
  "success": true
}
```

***

#### Get Suite Report

**Method**: POST\
**Endpoint**: `/api/v1/api/report`\
**Headers**:

* `api-key`: User API key for authorization.

**Query Parameters**:

* `suite_id`: ID of the suite.

**Response**:

```json
{
  "report": "Suite report data"
}
```

***

### End-to-End Testing

#### Start E2E Flow

**Method**: POST\
**Endpoint**: `/api/v1/e2e/start`\
**Headers**:

* `api-key`: User API key for authorization.

**Query Parameters**:

* `flow_id`: ID of the end-to-end flow.

**Response**:

```json
{
  "success": true
}
```

***

#### Get E2E Report

**Method**: POST\
**Endpoint**: `/api/v1/e2e/report`\
**Headers**:

* `api-key`: User API key for authorization.

**Query Parameters**:

* `flow_id`: ID of the end-to-end flow.

**Response**:

```json
{
  "jobId": "1737031013923",
  "status": "failed",
  "metrics": {
    "passed": 3,
    "total": 5,
    "failed": 1,
    "skipped": 1,
    "timeTaken": "2.684"
  },
  "reportUrl": "https://storage.googleapis.com/rattle-prod-artifacts/report-1737031013923-report/ratl-report.html"
}
```

***

### Accessibility Testing

#### Start Accessibility Assessment

**Method**: POST\
**Endpoint**: `/api/v1/accessibility/start`\
**Headers**:

* `api-key`: User API key for authorization.

**Query Parameters**:

* `assessment_id`: ID of the accessibility assessment.

**Response**:

```json
{
  "success": true
}
```

***

#### Get Accessibility Report

**Method**: GET\
**Endpoint**: `/api/v1/accessibility/report`\
**Headers**:

* `api-key`: User API key for authorization.

**Query Parameters**:

* `assessment_id`: ID of the assessment.
* `workspace_id`: ID of the workspace.

**Response**:

```json
{
  "_id": "6788fd8487eb641b58d01bcc",
  "status": "completed",
  "reports": [
    {
      "url": "https://www.tiraz5.de",
      "reports": {
        "html": "https://storage.googleapis.com/rattle-prod-artifacts/report-1737031044131-accessibility-report.html",
        "json": "https://storage.googleapis.com/rattle-prod-artifacts/report-1737031044131-accessibility-report.json",
        "png": "https://storage.googleapis.com/rattle-prod-artifacts/report-1737031044131-accessibility-report.png",
        "pdf": "https://storage.googleapis.com/rattle-prod-artifacts/report-1737031044131-accessibility-report.pdf"
      },
      "summary": {
        "violations": 18,
        "details": [
          {
            "ruleId": "color-contrast",
            "impact": "serious",
            "description": "Ensure the contrast between foreground and background colors meets WCAG 2 AA minimum contrast ratio thresholds",
            "count": 12
          }
        ]
      }
    }
  ]
}
```

***

### Web Automation

#### Start Web Automation

**Method:** `POST`\
**Endpoint:** `/api/v1/webshot/start`

**Headers:**

* `api-key`: User API key for authorization.

**Query Parameters:**

* `webshot_id`: ID of the web Automation flow.

**Response:**

```json
{
    "success": true,
    "task_id": "44d147763b9649578fb0808d6d87b7a0"
}
```

***

#### Get Web Report

**Method:** `GET`\
**Endpoint:** `/api/v1/webshot/report`

**Headers:**

* `api-key`: User API key for authorization.

**Query Parameters:**

* `task_id`: ID of the end-to-end flow.

**Response:**

```json
{
    "status": "completed",
    "report": "https://ril.ratl.ai/v2/tests/66b31ccdfa70c624e5149880/webshots/44d147763b9649578fb0808d6d87b7a0/report"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ratl.ai/guide/public-apis/documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
